Fetch Claims

Endpoints

Get the data of a given claim

GET https://app.insurehero.io/api/shield/integrations/v1/claims/:claimId

Headers

Name
Type
Description

Authorization*

string

Bearer access token

Path Parameters

Name
Type
Description

claimId*

string

Claim identifier

Query Params

Name
Type
Description

comm_info

boolean

Communication information for that claim

policy_ref

boolean

The policy detail for that claim

general

boolean

The details of the claim

Types of responses

All claims

GET https://app.insurehero.io/api/shield/integrations/v1/claims

A paginated list of all claims.

Page size cannot exceed 100 records at a time.

Headers

Name
Type
Description

Authorization*

string

Bearer access token

Query Parameters

Name
Type
Description

from*

string

Starting record index

to*

string

Ending record index

comm_info

boolean

Communication information for that claim

policy_ref

boolean

The policy detail for that claim

general

boolean

The details of the claim

Types of responses

Get Claim events

GET https://app.insurehero.io/api/shield/integrations/v1/claims/:claimId/events

Events in a claim

Headers

Name
Type
Description

Authorization*

string

Bearer access token

Path Parameters

Name
Type
Description

ClaimId*

string

The id of the claim associated with the events

Example response

User claims

Fetch all claims from a given user

GET https://api.insurehero.io/api/shield/v1/users/:userId/claims

Path Parameters

Name
Type
Description

userId*

string

Either user_id or uid

Query Parameters

Name
Type
Description

searchBy

id | uid

Field use to search for a matching user. Default to 'id'

Headers

Name
Type
Description

Authorization*

string

Bearer access token

Additional Attributes

Name
Type
Description

id

uuid

Unique identifier for the claim

package_id

uuid

Identifier of the associated package

subject

string

Claim subject or title

claimant_id

uuid

Identifier of the claimant

risk_item_id

uuid

Identifier of the risk item

variant_id

uuid

Identifier of the policy variant

type

string

Type of claim

status

string

Current status of the claim

uid

string

Unique identifier for external reference

insurer_claim_number

string

Claim number assigned by the insurer

internal_claim_number

number

Internal claim number

incident_date

string

Date of the incident

consent_date

string

Date when consent was given

resolution_date

string

Date when the claim was resolved

assets

object []

List of related assets

claim_amount

number

Amount claimed

communications

object []

List of communications related to the claim

metadata

object []

Additional metadata

Incident Details

Name
Type
Description

date

string

Date of the incident

details.transaction.date

string

Date of the related transaction

details.transaction.amount

number

Transaction amount

details.transaction.method

string

Payment method used

details.transaction.retailer

string

Retailer where the transaction occurred

details.transaction.description

string

Description of the transaction

details.description

string

Description of the incident

additional_properties.claim_type

string

Type of claim

additional_properties.fast_track

boolean

Indicates if the claim is fast-tracked

additional_properties.incident_coords

string

Coordinates of the incident location

Policy Reference

Name
Type
Description

policy.id

string

Unique identifier of the policy

policy.uid

string

Unique identifier of the policy in external systems

policy.version

number

Version number of the policy

policy.policy_number

string

Policy number

policy.total_gross_price

string

Total price of the policy

variant.id

string

Identifier of the variant

variant.name

string

Name of the policy variant

variant.conditions

string

Coverage conditions

variant.exclusions

string

Exclusions from coverage

variant.description

string

Description of the variant

variant.gross_price

string

Gross price of the variant

variant.pricing_type

string

Pricing model used

variant.coverage_limits

number

Maximum coverage limit

Claimant Data

Name
Type
Description

id

uuid

Unique identifier of the claimant

name

string

Name of the claimant

dob

string

Date of birth of the claimant

email

string

Email address of the claimant

phone

string

Phone number of the claimant

gender

string

Gender of the claimant

address

string

Address of the claimant

document_type

string

Type of identification document

document_number

string

Identification document number

Claim Events

Name
Type
Description

claims_events

object []

List of events related to a claim.

id

uuid

Unique identifier for the event.

claim_id

uuid

Unique identifier for the related claim.

metadata

object

Additional metadata related to the event.

event_data

object

Contains details about the event.

start_date

string

Event start date.

end_date

string

Event end date.

amountPaid

number

Amount paid for the event, if applicable.

eventType

string

Type of event.

uid

string

Unique identifier for the user associated with the event, if applicable.

To access these resources, please remember to visit the Links and Resources section of the documentation.

Last updated